Package javax.mail.event

# Interface ConnectionListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `ConnectionAdapter`

public interface ConnectionListener extends EventListener
This is the Listener interface for Connection events.

Author:
  John Mani

## Method Summary

Modifier and Type
Method
Description
`void`
`closed(ConnectionEvent e)`
Invoked when a Store/Folder/Transport is closed.
`void`
`disconnected(ConnectionEvent e)`
Invoked when a Store is disconnected.
`void`
`opened(ConnectionEvent e)`
Invoked when a Store/Folder/Transport is opened.

## Method Details

### opened

void opened(ConnectionEvent e)
Invoked when a Store/Folder/Transport is opened.

Parameters:
  `e` - the ConnectionEvent

### disconnected

void disconnected(ConnectionEvent e)
Invoked when a Store is disconnected. Note that a folder cannot be disconnected, so a folder will not fire this event

Parameters:
  `e` - the ConnectionEvent

### closed

void closed(ConnectionEvent e)
Invoked when a Store/Folder/Transport is closed.

Parameters:
  `e` - the ConnectionEvent